> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/marketing-solutions/marketplace-performance-outcomes/stats/realtime-reports/export

> Creates a marketplace performance outcomes realtime report export.
<br />
This endpoint is subject to specific rate limits.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json post /preview/marketing-solutions/marketplace-performance-outcomes/stats/realtime-reports/export
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/marketing-solutions/marketplace-performance-outcomes/stats/realtime-reports/export:
    post:
      tags:
        - Analytics
      summary: >-
        /preview/marketing-solutions/marketplace-performance-outcomes/stats/realtime-reports/export
      description: "Creates a marketplace performance outcomes realtime report export.\r\n<br />\r\nThis endpoint is subject to specific rate limits."
      operationId: CreateRealtimeProductReport
      requestBody:
        description: The realtime report export request.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RealTimeProductReportJobRequest'
          application/xml:
            schema:
              $ref: '#/components/schemas/RealTimeProductReportJobRequest'
          text/xml:
            schema:
              $ref: '#/components/schemas/RealTimeProductReportJobRequest'
          application/*+xml:
            schema:
              $ref: '#/components/schemas/RealTimeProductReportJobRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RealTimeProductReportJobStatusResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/RealTimeProductReportJobStatusResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/RealTimeProductReportJobStatusResponse'
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  schemas:
    RealTimeProductReportJobRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/RealTimeProductReportJobResource'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    RealTimeProductReportJobStatusResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/RealTimeProductReportJobStatusResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value object.
    RealTimeProductReportJobResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RealTimeProductReportJob'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    RealTimeProductReportJobStatusResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/RealTimeProductReportJobStatus'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    RealTimeProductReportJob:
      type: object
      properties:
        advertiserIds:
          type: array
          items:
            type: string
          description: List of advertiser IDs to include in the export. Required.
          nullable: true
        campaignIds:
          type: array
          items:
            type: string
          description: Optional list of campaign IDs to filter the export.
          nullable: true
        currency:
          type: string
          description: Currency for the export. Default is _local currency_.
          nullable: true
        dimensions:
          type: array
          items:
            enum:
              - AdvertiserId
              - PartnerId
              - CampaignId
              - SellerId
              - ProductId
              - SellerName
              - Year
              - Month
              - Week
              - Day
              - Hour
              - Minute
            type: string
          description: >-
            List of dimensions to include in the export. Default:
            ["advertiserId", "campaignId", "sellerId", "productId", "day"].
          nullable: true
        endDate:
          type: string
          description: "End of the reporting interval, in ISO‑8601 date‑time format (UTC). Mutually exclusive with lookbackWindow.\r\nIf omitted while startDate is provided, defaults to the current time."
          format: date-time
          nullable: true
        fileFormat:
          enum:
            - Csv
            - Json
          type: string
          description: >-
            The file format for the export. Allowed values: "csv", "json".
            Default is "csv".
        lookbackWindow:
          type: integer
          description: Lookback window in minutes. Default is 60.
          format: int32
          nullable: true
        metrics:
          type: array
          items:
            enum:
              - Clicks
              - Displays
              - Cost
            type: string
          description: >-
            List of metrics to include in the export. Default: ["clicks",
            "displays", "cost"].
          nullable: true
        partnerIds:
          type: array
          items:
            type: string
          description: Optional list of partner IDs to filter the export.
          nullable: true
        sellerIds:
          type: array
          items:
            type: string
          description: Optional list of seller IDs to filter the export.
          nullable: true
        startDate:
          type: string
          description: >-
            Start of the reporting interval, in ISO‑8601 date‑time format (UTC).
            Mutually exclusive with lookbackWindow.
          format: date-time
          nullable: true
        timezone:
          type: string
          description: Timezone for the export. Default is "UTC".
          nullable: true
      additionalProperties: false
      description: Represents a request to create a real-time product export.
    RealTimeProductReportJobStatus:
      type: object
      properties:
        exportId:
          type: string
          description: Unique ID (UUID) of the export job.
          nullable: true
        message:
          type: string
          description: Optional informational message (e.g. rows_count=1232).
          nullable: true
        status:
          enum:
            - Unknown
            - Pending
            - Done
            - Failure
            - Expired
          type: string
          description: 'Export job status: PENDING, DONE, FAILURE, EXPIRED.'
          nullable: true
      additionalProperties: false
      description: Represents the status of a real-time product report export job.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````